org.jbpm.marshalling.impl

## Class JBPMMessages.VariableContainer.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.VariableContainer.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.VariableContainerOrBuilder
  Enclosing class:
    JBPMMessages.VariableContainer

      public static final class JBPMMessages.VariableContainer.Builder
      extends com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>
      implements JBPMMessages.VariableContainerOrBuilder

  Protobuf type `org.jbpm.marshalling.VariableContainer`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.VariableContainer.Builder` | `addAllVariable(Iterable<? extends JBPMMessages.Variable> values)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableContainer.Builder` | `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.VariableContainer.Builder` | `addVariable(int index, JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableContainer.Builder` | `addVariable(int index, JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableContainer.Builder` | `addVariable(JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableContainer.Builder` | `addVariable(JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.Variable.Builder` | `addVariableBuilder()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.Variable.Builder` | `addVariableBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableContainer` | `build()`
    `JBPMMessages.VariableContainer` | `buildPartial()`
    `JBPMMessages.VariableContainer.Builder` | `clear()`
    `JBPMMessages.VariableContainer.Builder` | `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
    `JBPMMessages.VariableContainer.Builder` | `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
    `JBPMMessages.VariableContainer.Builder` | `clearVariable()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableContainer.Builder` | `clone()`
    `JBPMMessages.VariableContainer` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.Variable.Builder` | `getVariableBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `List<JBPMMessages.Variable.Builder>` | `getVariableBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.VariableContainer.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.VariableContainer.Builder` | `mergeFrom(JBPMMessages.VariableContainer other)`
    `JBPMMessages.VariableContainer.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.VariableContainer.Builder` | `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.VariableContainer.Builder` | `removeVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableContainer.Builder` | `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.VariableContainer.Builder` | `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
    `JBPMMessages.VariableContainer.Builder` | `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.VariableContainer.Builder` | `setVariable(int index, JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableContainer.Builder` | `setVariable(int index, JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### clear

          public JBPMMessages.VariableContainer.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.VariableContainer getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.VariableContainer build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.VariableContainer buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### clone

          public JBPMMessages.VariableContainer.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### setField

          public JBPMMessages.VariableContainer.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 Object value)

      Specified by:
        `setField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### clearField

          public JBPMMessages.VariableContainer.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

      Specified by:
        `clearField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### clearOneof

          public JBPMMessages.VariableContainer.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

      Specified by:
        `clearOneof` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### setRepeatedField

          public JBPMMessages.VariableContainer.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                         int index,
                                                                         Object value)

      Specified by:
        `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### addRepeatedField

          public JBPMMessages.VariableContainer.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                         Object value)

      Specified by:
        `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### mergeFrom

          public JBPMMessages.VariableContainer.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### mergeFrom

          public JBPMMessages.VariableContainer.Builder mergeFrom(JBPMMessages.VariableContainer other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### mergeFrom

          public JBPMMessages.VariableContainer.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.VariableContainer.Builder>`
      Throws:
        `IOException`

    - #### getVariableList

          public List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariableList` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### getVariableCount

          public int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariableCount` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### getVariable

          public JBPMMessages.Variable getVariable(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariable` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### setVariable

          public JBPMMessages.VariableContainer.Builder setVariable(int index,
                                                                    JBPMMessages.Variable value)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### setVariable

          public JBPMMessages.VariableContainer.Builder setVariable(int index,
                                                                    JBPMMessages.Variable.Builder builderForValue)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### addVariable

          public JBPMMessages.VariableContainer.Builder addVariable(JBPMMessages.Variable value)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### addVariable

          public JBPMMessages.VariableContainer.Builder addVariable(int index,
                                                                    JBPMMessages.Variable value)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### addVariable

          public JBPMMessages.VariableContainer.Builder addVariable(JBPMMessages.Variable.Builder builderForValue)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### addVariable

          public JBPMMessages.VariableContainer.Builder addVariable(int index,
                                                                    JBPMMessages.Variable.Builder builderForValue)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### addAllVariable

          public JBPMMessages.VariableContainer.Builder addAllVariable(Iterable<? extends JBPMMessages.Variable> values)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### clearVariable

          public JBPMMessages.VariableContainer.Builder clearVariable()

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### removeVariable

          public JBPMMessages.VariableContainer.Builder removeVariable(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### getVariableBuilder

          public JBPMMessages.Variable.Builder getVariableBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### getVariableOrBuilder

          public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariableOrBuilder` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### getVariableOrBuilderList

          public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariableOrBuilderList` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### addVariableBuilder

          public JBPMMessages.Variable.Builder addVariableBuilder()

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### addVariableBuilder

          public JBPMMessages.Variable.Builder addVariableBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### getVariableBuilderList

          public List<JBPMMessages.Variable.Builder> getVariableBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 1;`

    - #### setUnknownFields

          public final JBPMMessages.VariableContainer.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

    - #### mergeUnknownFields

          public final JBPMMessages.VariableContainer.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.VariableContainer.Builder>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.